include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
)


##### libkdiff3plugin (kpart)

tde_add_kpart( libkdiff3plugin AUTOMOC

  SOURCES
        kdiff3plugin.cpp
  LINK
     konq
     tdecore-shared
     tdeui-shared

  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### other data

install(
    FILES kdiff3_plugin.desktop
    DESTINATION ${SERVICES_INSTALL_DIR}
)

install(
    FILES kdiff3plugin.desktop
    DESTINATION ${APPS_INSTALL_DIR}/.hidden
)
